### A free/open-source library for quantitative finance

Public Member Functions
KirkSpreadOptionEngine Class Reference

Kirk approximation for European spread option on futures. More...

`#include <ql/experimental/exoticoptions/kirkspreadoptionengine.hpp>`

Inheritance diagram for KirkSpreadOptionEngine:
[legend]

List of all members.

## Public Member Functions

| KirkSpreadOptionEngine (const boost::shared_ptr< BlackProcess > &process1, const boost::shared_ptr< BlackProcess > &process2, const Handle< Quote > &correlation)
void | calculate () const

## Detailed Description

Kirk approximation for European spread option on futures.